import { http } from "@/utils/http";

// 设备信息新增
export const addDevice = (data: any) => {
  return http({
    method: "POST",
    url: "/api/device/addDevice",
    data,
  });
};
// 设备信息修改
export const editDevice = (data: any) => {
  return http({
    method: "POST",
    url: "/api/device/edit",
    data,
  });
};

// 设备信息逻辑删除
export const deleteDevice = (data: any) => {
  return http({
    method: "POST",
    url: "/api/device/deleteDevice",
    data,
  });
};
// 设备信息根据id查询
export const selectDeviceId = (data: any) => {
  return http({
    method: "POST",
    url: "/api/device/selectDeviceId",
    data,
  });
};

// 设备信息根据id查询
export const getDeviceList = (data: any) => {
  return http({
    method: "POST",
    url: "/api/device/getDeviceList",
    data,
  });
};

// 打印

export const print = (data: any) => {
  return http({
    method: "POST",
    url: "/api/machine/print",
    data,
  });
};
